#include "EPSG/Sphere.h"

/* System Includes */
#ifdef WIN32
	#include <Windows.h>
#endif

/* OpenGL Includes */
#include <GL/GL.h>
#include <GL/GLU.h>
//TODO

EPSG::Sphere::Sphere()
{

}

void EPSG::Sphere::draw()
{
	GLUquadricObj *quadric = gluNewQuadric();
	gluQuadricDrawStyle( quadric, GLU_FILL );
	gluQuadricNormals( quadric, GLU_SMOOTH );
	gluSphere( quadric, _radius, 100, 100 );
	gluDeleteQuadric( quadric );
}

void EPSG::Sphere::setRadius( float radius )
{
	_radius = radius;
}